Bug 194575 - Misspelled gen_require macro in example, policygentool, and policies
Misspelled gen_require macro in example, policygentool, and policies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 03:02 EDT by Hans Ulrich Niedermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2.47-3.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 08:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2006-06-14 03:02:31 EDT
Description of problem:

  Several files in /usr/share/selinux/devel contain a misspelled
  version of gen_require: "gen_requires" with a trailing "s".

  This causes policy templates generated by policygentool and
  the example.{fc,if,te} policy to be broken from the start.

Version-Release number of selected component (if applicable):

  selinux-policy-2.2.40-1.fc5

How reproducible:

  Every time.

Steps to Reproduce:
1. Run "grep -rl 'gen_requires' /usr/share/selinux/devel"

Actual results:

  /usr/share/selinux/devel/include/system/xen.if
  /usr/share/selinux/devel/include/services/tor.if
  /usr/share/selinux/devel/example.if
  /usr/share/selinux/devel/policygentool

Expected results:

  Empty output.

Additional info:

  While you're at it, do you mind fixing the broken symlink 
  /usr/share/selinux/devel/include pointing to ../devel/include
  which does not exist, while it most probably should point to
  ../../devel/include or ../include or ./ which do exist?
Comment 1 Hans Ulrich Niedermann 2006-06-14 03:03:46 EDT
Admittedly, I have no idea whether that broken symlink is actually needed by
anything.
Comment 2 Hans Ulrich Niedermann 2006-06-14 20:26:02 EDT
The issues persist in selinux-policy-2.2.43-4.fc5:

$ grep -rl gen_requires /usr/share/selinux/devel
grep: /usr/share/selinux/devel/include/include: No such file or directory
/usr/share/selinux/devel/include/system/xen.if
/usr/share/selinux/devel/include/services/tor.if
/usr/share/selinux/devel/example.if
/usr/share/selinux/devel/policygentool

$ grep -r gen_requires /usr/share/selinux/devel
grep: /usr/share/selinux/devel/include/include: No such file or directory
/usr/share/selinux/devel/include/system/xen.if: gen_requires(`
/usr/share/selinux/devel/include/system/xen.if: gen_requires(`
/usr/share/selinux/devel/include/services/tor.if:       gen_requires(`
/usr/share/selinux/devel/example.if:    gen_requires(`
/usr/share/selinux/devel/example.if:    gen_requires(`
/usr/share/selinux/devel/policygentool: gen_requires(`
Comment 3 Daniel Walsh 2006-06-15 15:31:11 EDT
Fixed in 2.2.47-3.fc5
Comment 4 Hans Ulrich Niedermann 2006-07-10 17:32:26 EDT
2.2.47-3.fc5 has arrived in FC5/-updates, so we may now close this bug?

Note You need to log in before you can comment on or make changes to this bug.